<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="manage:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="fcaffbb7-50d8-4ab8-9bad-0a6fbd39f63b" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/common/service/impl/ContractServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/common/service/impl/ContractServiceImpl.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="enabledProfiles">
      <list>
        <option value="test" />
      </list>
    </option>
    <option name="disabledProfiles">
      <list>
        <option value="dev" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1Ts3vGHP0uKki270IrlDm1ngYNz" />
  <component name="ProjectViewState">
    <option name="abbreviatePackageNames" value="true" />
    <option name="autoscrollToSource" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="true" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$USER_HOME$/Desktop/GmailWebEmail-master" />
    <property name="settings.editor.selected.configurable" value="sshConsole" />
  </component>
  <component name="RunManager" selected="Tomcat Server.tomcat">
    <configuration name="ShareIncomeServiceImpl" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="common.service.impl.ShareIncomeServiceImpl" />
      <module name="manage" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="common.service.impl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="tomcat" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.32" ALTERNATIVE_JRE_ENABLED="false">
      <option name="OPEN_IN_BROWSER_URL" value="http://localhost:9001/" />
      <option name="BROWSER_ID" value="98ca6316-2f89-46d9-a9e5-fa9e2b0625b3" />
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="manage:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_manage_3" />
        <option name="HTTP_PORT" value="9001" />
        <option name="JNDI_PORT" value="1098" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="57639" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="manage:war exploded" />
        </option>
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.ShareIncomeServiceImpl" />
      <item itemvalue="Tomcat Server.tomcat" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.ShareIncomeServiceImpl" />
      </list>
    </recent_temporary>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <option name="contentProportion" value="0.14064915" />
          <treeState>
            <expand>
              <path>
                <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
                <item name="Tomcat Server" type="7427dc5b:ServiceModel$ServiceGroupNode" />
              </path>
              <path>
                <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
                <item name="Tomcat Server" type="7427dc5b:ServiceModel$ServiceGroupNode" />
                <item name="Finished" type="7427dc5b:ServiceModel$ServiceGroupNode" />
              </path>
            </expand>
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SshConsoleOptionsProvider">
    <option name="myEncoding" value="UTF-8" />
    <option name="myConnectionType" value="NONE" />
  </component>
  <component name="SvnConfiguration">
    <configuration>C:\Users\reyun\AppData\Roaming\Subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="fcaffbb7-50d8-4ab8-9bad-0a6fbd39f63b" name="Default Changelist" comment="" />
      <created>1574235204928</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1574235204928</updated>
      <workItem from="1574235207646" duration="714000" />
      <workItem from="1574250767634" duration="4804000" />
      <workItem from="1574321687324" duration="2811000" />
      <workItem from="1575546585476" duration="419000" />
      <workItem from="1578381577457" duration="696000" />
      <workItem from="1578625066578" duration="4401000" />
      <workItem from="1579312948403" duration="15000" />
      <workItem from="1579316780422" duration="710000" />
      <workItem from="1584328339137" duration="11675000" />
      <workItem from="1595052370632" duration="3121000" />
      <workItem from="1595062561232" duration="1869000" />
      <workItem from="1595210254869" duration="331000" />
      <workItem from="1595249283758" duration="1012000" />
      <workItem from="1595296992575" duration="2571000" />
      <workItem from="1595411015947" duration="2361000" />
      <workItem from="1595423418178" duration="5133000" />
      <workItem from="1595834892104" duration="1472000" />
      <workItem from="1595989766739" duration="9839000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="COLUMN_ORDER" />
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="WindowStateProjectService">
    <state x="488" y="48" key="#com.intellij.ide.util.MemberChooser" timestamp="1597321169912">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="488" y="48" key="#com.intellij.ide.util.MemberChooser/0.0.1366.728@0.0.1366.728" timestamp="1597321169912" />
    <state x="352" y="132" key="#xdebugger.evaluate" timestamp="1596003888437">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="352" y="132" key="#xdebugger.evaluate/0.0.1366.728@0.0.1366.728" timestamp="1596003888437" />
    <state width="461" height="438" key="DebuggerActiveHint" timestamp="1603882985971">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="461" height="438" key="DebuggerActiveHint/0.0.1366.728@0.0.1366.728" timestamp="1603882985971" />
    <state width="1111" height="357" key="GridCell.Tab.0.bottom" timestamp="1603882987346">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.0.bottom/0.0.1366.728@0.0.1366.728" timestamp="1603882987346" />
    <state width="1111" height="357" key="GridCell.Tab.0.center" timestamp="1603882987346">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.0.center/0.0.1366.728@0.0.1366.728" timestamp="1603882987346" />
    <state width="1111" height="357" key="GridCell.Tab.0.left" timestamp="1603882987346">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.0.left/0.0.1366.728@0.0.1366.728" timestamp="1603882987346" />
    <state width="1111" height="357" key="GridCell.Tab.0.right" timestamp="1603882987346">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.0.right/0.0.1366.728@0.0.1366.728" timestamp="1603882987346" />
    <state width="1111" height="357" key="GridCell.Tab.1.bottom" timestamp="1603882973705">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.1.bottom/0.0.1366.728@0.0.1366.728" timestamp="1603882973705" />
    <state width="1111" height="357" key="GridCell.Tab.1.center" timestamp="1603882973705">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.1.center/0.0.1366.728@0.0.1366.728" timestamp="1603882973705" />
    <state width="1111" height="357" key="GridCell.Tab.1.left" timestamp="1603882973705">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.1.left/0.0.1366.728@0.0.1366.728" timestamp="1603882973705" />
    <state width="1111" height="357" key="GridCell.Tab.1.right" timestamp="1603882973705">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.1.right/0.0.1366.728@0.0.1366.728" timestamp="1603882973705" />
    <state width="1111" height="357" key="GridCell.Tab.2.bottom" timestamp="1603882838355">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.2.bottom/0.0.1366.728@0.0.1366.728" timestamp="1603882838355" />
    <state width="1111" height="357" key="GridCell.Tab.2.center" timestamp="1603882838355">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.2.center/0.0.1366.728@0.0.1366.728" timestamp="1603882838355" />
    <state width="1111" height="357" key="GridCell.Tab.2.left" timestamp="1603882838355">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.2.left/0.0.1366.728@0.0.1366.728" timestamp="1603882838355" />
    <state width="1111" height="357" key="GridCell.Tab.2.right" timestamp="1603882838355">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.2.right/0.0.1366.728@0.0.1366.728" timestamp="1603882838355" />
    <state width="1111" height="357" key="GridCell.Tab.3.bottom" timestamp="1603882838356">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.3.bottom/0.0.1366.728@0.0.1366.728" timestamp="1603882838356" />
    <state width="1111" height="357" key="GridCell.Tab.3.center" timestamp="1603882838356">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.3.center/0.0.1366.728@0.0.1366.728" timestamp="1603882838356" />
    <state width="1111" height="357" key="GridCell.Tab.3.left" timestamp="1603882838356">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.3.left/0.0.1366.728@0.0.1366.728" timestamp="1603882838356" />
    <state width="1111" height="357" key="GridCell.Tab.3.right" timestamp="1603882838356">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="357" key="GridCell.Tab.3.right/0.0.1366.728@0.0.1366.728" timestamp="1603882838356" />
    <state width="1111" height="308" key="GridCell.Tab.6.bottom" timestamp="1595298613992">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.6.bottom/0.0.1366.728@0.0.1366.728" timestamp="1595298613992" />
    <state width="1111" height="308" key="GridCell.Tab.6.center" timestamp="1595298613992">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.6.center/0.0.1366.728@0.0.1366.728" timestamp="1595298613992" />
    <state width="1111" height="308" key="GridCell.Tab.6.left" timestamp="1595298613992">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.6.left/0.0.1366.728@0.0.1366.728" timestamp="1595298613992" />
    <state width="1111" height="308" key="GridCell.Tab.6.right" timestamp="1595298613992">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.6.right/0.0.1366.728@0.0.1366.728" timestamp="1595298613992" />
    <state width="1111" height="308" key="GridCell.Tab.7.bottom" timestamp="1595298613394">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.7.bottom/0.0.1366.728@0.0.1366.728" timestamp="1595298613394" />
    <state width="1111" height="308" key="GridCell.Tab.7.center" timestamp="1595298613394">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.7.center/0.0.1366.728@0.0.1366.728" timestamp="1595298613394" />
    <state width="1111" height="308" key="GridCell.Tab.7.left" timestamp="1595298613394">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.7.left/0.0.1366.728@0.0.1366.728" timestamp="1595298613394" />
    <state width="1111" height="308" key="GridCell.Tab.7.right" timestamp="1595298613394">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1111" height="308" key="GridCell.Tab.7.right/0.0.1366.728@0.0.1366.728" timestamp="1595298613394" />
    <state width="498" height="446" key="SwitcherDM" timestamp="1595411365033">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="498" height="446" key="SwitcherDM/0.0.1366.728@0.0.1366.728" timestamp="1595411365033" />
    <state width="691" height="364" key="XDebugger.FullValuePopup" timestamp="1603882985968">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="691" height="364" key="XDebugger.FullValuePopup/0.0.1366.728@0.0.1366.728" timestamp="1603882985968" />
    <state x="359" y="97" width="647" height="534" key="find.popup" timestamp="1603878341475">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="359" y="97" width="647" height="534" key="find.popup/0.0.1366.728@0.0.1366.728" timestamp="1603878341475" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/common/service/impl/ContractServiceImpl.java</url>
          <line>2611</line>
          <option name="timeStamp" value="4" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>